GET /map/{versionNumber}/staticimage

tomtom.com:maps

Summary: Static Image
Operation ID:
Auth: unknown
Description

The Static Image service renders a rectangular raster image in the style, size, and zoom level specified. The image can be requested using either a center point plus width and height or a bounding box.

Parameters (10)

bbox (string, query, optional)

Bounding box for the image, using EPSG:3857 projection (functionally equivalent to EPSG:900910). Values <strong>must</strong> be in the order of minLon, minLat, maxLon, maxLat. MaxLat must be greater than minLat. Longitude values can be on both sides of the 180th meridian. Cannot be used with <strong>center</strong>, <strong>width</strong>, or <strong>height</strong> parameters.

Constraints: {'pattern': '^(-*\\d+\\.*\\d*,){3}(-*\\d+\\.*\\d*)$'}

center (string, query, optional)

Coordinates for the center point of the image. Must be used with the <strong>width</strong> and <strong>height</strong> parameters; cannot be used with <strong>bbox</strong>. Uses EPSG:3857 projection (functionally equivalent to EPSG:900910).

Constraints: {'pattern': '^-*\\d+\\.*\\d*, *-*\\d+\\.*\\d*$'}

format (string, query, optional, default: png)

Image format to be returned

Constraints: {'enum': ['png', 'jpg', 'jpeg']}

height (integer, query, optional, default: 512)

Height of the resulting image in pixels. Height must be a positive integer between 1 and 8192.

Constraints: {'minimum': 1, 'maximum': 8192}

layer (string, query, optional, default: basic)

Layer of image to be rendered. <em>Hybrid</em> and <em>labels</em> are intended for layering with other data and are only available in <em>png</em> format.

Constraints: {'enum': ['basic', 'hybrid', 'labels']}

style (string, query, optional, default: main)

Map style to be returned

Constraints: {'enum': ['main', 'night']}

versionNumber (integer, path, required)

Version of the service to call. The current version is 1.

Constraints: {'enum': [1]}

view (string, query, optional)

Geopolitical view. Determines rendering of disputed areas. See the <a href="/maps-api/maps-api-documentation-raster/raster-tile">documentation</a> for an explanation of how this works in live services.

Constraints: {'enum': ['Unified', 'IN']}

width (integer, query, optional, default: 512)

Width of the resulting image in pixels. Width must be a positive integer between 1 and 8192.

Constraints: {'minimum': 1, 'maximum': 8192}

zoom (integer, query, optional, default: 12)

Zoom level of map image to be returned.

Constraints: {'enum': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22]}

No probe data for this endpoint yet.